﻿// ReSharper disable UnusedMember.Global
static class Utils
{
    public static string[] ScanProjects(string path, List<string> found)
    {
        /*var files = Directory.GetFiles(path).Where(f => f.EndsWith(".csproj"));
        var dirs = Directory.GetDirectories(path);
        found.AddRange(files);
        foreach (var dir in dirs)
        {
            ScanProjects(dir, found);
        }
        
        return found.ToArray();*/
        return new[] { "./Directory.Build.props" };
    }

    public static void CleanupBackupsFor(IEnumerable<string> files)
    {
        foreach (var file in files)
        {
            File.Delete(file + ".bkp");
            WriteLine($"Cleaned up {file}.bkp");
        }
        WriteLine($"Cleaned up backups for {files.Count()} files");
    }
    
    public static void BackupProjects(IEnumerable<string> files)
    {
        foreach (var file in files)
        {
            File.Copy(file, file + ".bkp");
            WriteLine($"Created backup for {file}");
        }
        WriteLine($"Created backups for {files.Count()} files");
    }
    
    
    public static void RestoreFromBackups(IEnumerable<string> files)
    {
        foreach (var file in files)
        {
            File.Delete(file);
            File.Copy(file+".bkp", file);
            WriteLine($"Restored from backup: {file}");
        }
        WriteLine($"Restored {files.Count()} files");
    }
}